@import 'variables';
@import 'mixins';

body,
button,
input,
textarea {
    scroll-behavior: smooth;
    text-rendering: optimizeLegibility;
    -webkit-font-smoothing: antialiased;
    -webkit-font-feature-settings: "kern"1;
    font-feature-settings: "kern"1;
    -webkit-font-kerning: normal;
    font-kerning: normal;
    margin: 0;
    line-height: 1.15;
    -webkit-overflow-scrolling: touch;
    -webkit-text-size-adjust: 100%;
}

*,
*:before,
*:after {
    box-sizing: border-box;
}

.animation,
.footer,
.header,
.header .logo,
.header .nav-secondary,
.header:before,
.icon,
a,
button,
input[type=submit] {
    transition-duration: .4s;
    transition-timing-function: cubic-bezier(.25, .74, .22, .99);
}

img {
    border-style: none;
    height: auto;
    max-width: 100%;
    border: 0;
    -ms-interpolation-mode: bicubic;
    vertical-align: middle;
}

a {
    color: #000;
    background-color: transparent;
    text-decoration: none;
    outline: none;
    cursor: none;
}

ul {
    list-style-type: none;
    padding: 0;
}

hr {
    display: block;
    height: 1px;
    border: 0;
    border-top: 1px solid #fff;
    margin: 1em 0;
    padding: 0;
    box-sizing: content-box;
    overflow: visible;
}

audio,
canvas,
iframe,
img,
svg,
video {
    vertical-align: middle;
}

h1,
h2,
h3,
h4,
h5 {
    margin: 0;
}

b,
strong {
    font-weight: 800;
}

small {
    font-size: 80%;
}

form {
    margin: 0;
}

button,
input,
optgroup,
select,
textarea {
    font-family: inherit;
    font-size: 100%;
    line-height: 1.15;
    margin: 0;
}

textarea {
    resize: none;
}

button,
input {
    overflow: visible;
}

button,
select {
    text-transform: none;
}

button,
[type="button"],
[type="reset"],
[type="submit"] {
    -webkit-appearance: button;
}

button::-moz-focus-inner,
[type="button"]::-moz-focus-inner,
[type="reset"]::-moz-focus-inner,
[type="submit"]::-moz-focus-inner {
    border-style: none;
    padding: 0;
}

fieldset {
    border: 0;
    margin: 0;
    padding: 0.35em 0.75em 0.625em;
}

legend {
    box-sizing: border-box;
    color: inherit;
    display: table;
    max-width: 100%;
    padding: 0;
    white-space: normal;
}

progress {
    vertical-align: baseline;
}

textarea {
    overflow: auto;
}

[type="checkbox"],
[type="radio"] {
    box-sizing: border-box;
    padding: 0;
}

[type="number"]::-webkit-inner-spin-button,
[type="number"]::-webkit-outer-spin-button {
    height: auto;
}

[type="search"] {
    -webkit-appearance: textfield;
    outline-offset: -2px;
}

[type="search"]::-webkit-search-decoration {
    -webkit-appearance: none;
}

::-webkit-file-upload-button {
    -webkit-appearance: button;
    font: inherit;
}

a:hover,
a:active,
a:focus {
    text-decoration: none;
    outline: none;
    cursor: pointer;
}

::selection {
    background: #aaa;
    text-shadow: none;
}

:focus {
    outline: none;
}

/*--- SCROLLBAR ---*/

::-webkit-scrollbar {
    display: none;
    @include mq(tablet, max) {
        display: block;
     }
}
